Bug 798424 - [abrt] pdfshuffler-0.5.1-1.fc16: pdfshuffler:929:__init__:GError: Document is encrypted
[abrt] pdfshuffler-0.5.1-1.fc16: pdfshuffler:929:__init__:GError: Document is...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pdfshuffler (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
abrt_hash:aeb0c39a567e869398e746a0394...
:
: 1158764 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-28 15:36 EST by Manish Raj
Modified: 2014-10-30 04:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 21:53:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Manish Raj 2012-02-28 15:36:15 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/pdfshuffler
comment:        I tried to import A passworded file in pdfshuffler.
executable:     /usr/bin/pdfshuffler
kernel:         3.2.7-1.fc16.i686
reason:         pdfshuffler:929:__init__:GError: Document is encrypted
time:           Wednesday 29 February 2012 02:01:57 AM IST
uid:            1000
username:       manish

backtrace:
:pdfshuffler:929:__init__:GError: Document is encrypted
:
:Traceback (most recent call last):
:  File "/usr/bin/pdfshuffler", line 521, in on_action_add_doc_activate
:    self.add_pdf_pages(filename)
:  File "/usr/bin/pdfshuffler", line 349, in add_pdf_pages
:    pdfdoc = PDF_Doc(filename, self.nfile, self.tmp_dir)
:  File "/usr/bin/pdfshuffler", line 929, in __init__
:    self.document = poppler.document_new_from_file("file://" + self.copyname, None)
:GError: Document is encrypted
:
:Local variables in innermost frame:
:nfile: 0
:tmp_dir: '/tmp/tmpMpfjT7pdfshuffler'
:f: <__main__.GLocalFile at 0x9260cac: file:///media/backup/manish/Link%20to%20efg%20materials/abc/somename/2010/MR.%20MANISH%20RAJ-060910%20-%20051010.pdf>
:self: <__main__.PDF_Doc instance at 0x925fd4c>
:filename: '/media/backup/manish/Link to efg materials/abc/somename/2010/MR. MANISH RAJ-060910 - 051010.pdf'
:mime_type: 'application/pdf'

smolt_data:
:
:
:General
:=================================
:UUID: 512033a4-be52-47d4-b5fc-6d6be1359600
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 3324.90
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Atom(TM) CPU N450   @ 1.66GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 28
:Number of CPUs: 2
:CPU Speed: 1667
:System Memory: 991
:System Swap: 1568
:Vendor: Dell Inc.
:System: Inspiron 1012 A12
:Form factor: Portable
:Kernel: 3.2.7-1.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10172:4136:1050) pci, None, PCI/ISA, NM10 Family LPC Controller
:(32902:40977:4136:1050) pci, i915, VIDEO, N10 Family Integrated Graphics Controller
:(32902:40978:4136:1050) pci, None, VIDEO, N10 Family Integrated Graphics Controller
:(32902:10192:4136:1050) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:4136:1050) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:4136:1050) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10202:4136:1050) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9288:4136:1050) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(4332:33078:4136:1050) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10177:4136:1050) pci, ahci, STORAGE, N10/ICH7 Family SATA AHCI Controller
:(32902:10185:4136:1050) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:4136:1050) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:40976:4136:1050) pci, agpgart-intel, HOST/PCI, N10 Family DMI Bridge
:(32902:10186:4136:1050) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:4136:1050) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:4136:1050) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:(5348:17173:4136:12) pci, b43-pci-bridge, NETWORK, Wireless 1397 WLAN Mini-Card
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda11 / ext4 4096 4096 3025008 1713879 1683586 761856 628492 628492
:/dev/sda10 WITHHELD fuseblk 4096 4096 3933951 3049022 3049022 12228856 12228740 12228740
:/dev/sda7 WITHHELD ext4 4096 4096 17287848 8385880 7520003 4333568 4321285 4321285
:/dev/sda2 WITHHELD ext4 4096 4096 7816645 5869733 5477978 1958400 1750877 1750877
:/dev/sda5 WITHHELD ext4 4096 4096 3920442 494967 298272 983488 972539 972539
:/dev/sda6 WITHHELD ext4 4096 4096 19222371 3188819 2226136 4826304 4798146 4798146
:
Comment 1 Fedora Update System 2012-03-02 05:55:05 EST
pdfshuffler-0.6.0-0.2.20120302svn64.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pdfshuffler-0.6.0-0.2.20120302svn64.fc16
Comment 2 Fedora Update System 2012-03-02 05:56:23 EST
pdfshuffler-0.6.0-0.2.20120302svn64.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pdfshuffler-0.6.0-0.2.20120302svn64.fc15
Comment 3 Fedora Update System 2012-03-02 05:57:26 EST
pdfshuffler-0.6.0-0.2.20120302svn64.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pdfshuffler-0.6.0-0.2.20120302svn64.fc17
Comment 4 Fabian Affolter 2012-03-04 04:54:47 EST
This is an upstream bug: https://sourceforge.net/tracker/?func=detail&aid=3496747&group_id=235357&atid=1095819
Comment 5 Fedora End Of Life 2013-01-16 20:47:47 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 21:53:54 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Fabian Affolter 2014-10-30 04:38:17 EDT
*** Bug 1158764 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.